## START: Set by rpmautospec
## (rpmautospec version 0.6.3)
## RPMAUTOSPEC: autorelease, autochangelog
%define autorelease(e:s:pb:n) %{?-p:0.}%{lua:
    release_number = 9;
    base_release_number = tonumber(rpm.expand("%{?-b*}%{!?-b:1}"));
    print(release_number + base_release_number - 1);
}%{?-e:.%{-e*}}%{?-s:.%{-s*}}%{!?-n:%{?dist}}
## END: Set by rpmautospec

# Generated by rust2rpm 24
%bcond_without check
%global debug_package %{nil}

%global crate termwiz

Name:           rust-termwiz
Version:        0.17.1
Release:        %autorelease
Summary:        Terminal Wizardry for Unix and Windows

License:        MIT
URL:            https://crates.io/crates/termwiz
Source:         %{crates_source}
# Automatically generated patch to strip foreign dependencies
Patch:          termwiz-fix-metadata-auto.diff
# Manually created patch for downstream crate metadata changes
# * bump phf dependency from 0.10 to 0.11
# * drop unused, benchmark-only criterion dev-dependency to speed up builds
Patch:          termwiz-fix-metadata.diff
# Backport of 7b904f05eb4de9ed44d2068355a571b117eba0e1
Patch:          termwiz-fixup-32-bit-systems.patch
# Backport of 36519f0d90e1875fb4b3f11f6cbf94c7d716ef78
Patch:          0001-fix-unsafe-cast-that-caused-calls-of-free-with-inval.patch

BuildRequires:  rust-packaging >= 21

%global _description %{expand:
Terminal Wizardry for Unix and Windows.}

%description %{_description}

%package        devel
Summary:        %{summary}
BuildArch:      noarch

%description    devel %{_description}

This package contains library source intended for building other packages which
use the "%{crate}" crate.

%files          devel
%license %{crate_instdir}/LICENSE.md
%doc %{crate_instdir}/README.md
%{crate_instdir}/

%package     -n %{name}+default-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+default-devel %{_description}

This package contains library source intended for building other packages which
use the "default" feature of the "%{crate}" crate.

%files       -n %{name}+default-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+cassowary-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+cassowary-devel %{_description}

This package contains library source intended for building other packages which
use the "cassowary" feature of the "%{crate}" crate.

%files       -n %{name}+cassowary-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+docs-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+docs-devel %{_description}

This package contains library source intended for building other packages which
use the "docs" feature of the "%{crate}" crate.

%files       -n %{name}+docs-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+fnv-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+fnv-devel %{_description}

This package contains library source intended for building other packages which
use the "fnv" feature of the "%{crate}" crate.

%files       -n %{name}+fnv-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+image-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+image-devel %{_description}

This package contains library source intended for building other packages which
use the "image" feature of the "%{crate}" crate.

%files       -n %{name}+image-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+serde-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+serde-devel %{_description}

This package contains library source intended for building other packages which
use the "serde" feature of the "%{crate}" crate.

%files       -n %{name}+serde-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+use_image-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+use_image-devel %{_description}

This package contains library source intended for building other packages which
use the "use_image" feature of the "%{crate}" crate.

%files       -n %{name}+use_image-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+use_serde-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+use_serde-devel %{_description}

This package contains library source intended for building other packages which
use the "use_serde" feature of the "%{crate}" crate.

%files       -n %{name}+use_serde-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+widgets-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+widgets-devel %{_description}

This package contains library source intended for building other packages which
use the "widgets" feature of the "%{crate}" crate.

%files       -n %{name}+widgets-devel
%ghost %{crate_instdir}/Cargo.toml

%prep
%autosetup -n %{crate}-%{version_no_tilde} -p1
%cargo_prep

%generate_buildrequires
%cargo_generate_buildrequires

%build
%cargo_build

%install
%cargo_install

%if %{with check}
%check
%cargo_test
%endif

%changelog
## START: Generated by rpmautospec
* Sat Jul 20 2024 Fedora Release Engineering <releng@fedoraproject.org> - 0.17.1-9
- Rebuilt for https://fedoraproject.org/wiki/Fedora_41_Mass_Rebuild

* Sat Jan 27 2024 Fedora Release Engineering <releng@fedoraproject.org> - 0.17.1-8
- Rebuilt for https://fedoraproject.org/wiki/Fedora_40_Mass_Rebuild

* Fri Jul 28 2023 Fabio Valentini <decathorpe@gmail.com> - 0.17.1-7
- Bump phf dependency from 0.10 to 0.11

* Fri Jul 21 2023 Fedora Release Engineering <releng@fedoraproject.org> - 0.17.1-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_39_Mass_Rebuild

* Tue Jan 31 2023 Fabio Valentini <decathorpe@gmail.com> - 0.17.1-5
- Backport upstream patch to fix unsafe cast that caused segfaults

* Sat Jan 21 2023 Fedora Release Engineering <releng@fedoraproject.org> - 0.17.1-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_38_Mass_Rebuild

* Fri Nov 04 2022 Fabio Valentini <decathorpe@gmail.com> - 0.17.1-3
- Drop unused, benchmark-only criterion dev-dependency

* Thu Nov 03 2022 Davide Cavalca <dcavalca@fedoraproject.org> - 0.17.1-2
- Backport upstream fix for 32 bit systems

* Fri Sep 02 2022 Davide Cavalca <dcavalca@fedoraproject.org> - 0.17.1-1
- Update to 0.17.1

* Fri Sep 02 2022 Davide Cavalca <dcavalca@fedoraproject.org> - 0.16.0-1
- Update to 0.16

* Sat Jul 23 2022 Fedora Release Engineering <releng@fedoraproject.org> - 0.15.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_37_Mass_Rebuild

* Fri Jan 28 2022 Davide Cavalca <dcavalca@fedoraproject.org> - 0.15.0-1
- Initial import; Fixes: RHBZ#1984198
## END: Generated by rpmautospec
